ingress-nginx:
  controller:
    config:
      limit-req-status-code: "429"
      annotation-value-word-blocklist: "load_module,lua_package,_by_lua,location,root,proxy_pass,serviceaccount,{,},',\""
      keep-alive-requests: "10000"
      upstream-keepalive-connections: "1000"
      max-worker-connections: "32000"
      hsts: "true"
      hsts-max-age: "63072000"
      use-http2: "true"
      ssl-ciphers: "ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:!aNULL:!eNULL:!EXPORT:!DES:!MD5:!PSK:!RC4"
      ssl-protocols: "TLSv1.3 TLSv1.2"
      server-tokens: "false"
      server-name-hash-bucket-size: "256"
      use-gzip: "true"
      log-format-escape-json: "true"
      log-format-upstream: '{"timestamp": "$time_iso8601", "requestID": "$req_id", "proxyUpstreamName":
        "$proxy_upstream_name", "proxyAlternativeUpstreamName": "$proxy_alternative_upstream_name","upstreamStatus":
        "$upstream_status", "upstreamAddr": "$upstream_addr","httpRequest":{"requestMethod":
        "$request_method", "requestUrl": "$host$request_uri", "status": $status,"requestSize":
        "$request_length", "responseSize": "$upstream_response_length", "userAgent": "$http_user_agent",
        "remoteIp": "$remote_addr", "referer": "$http_referer", "latency": "$upstream_response_time s",
        "protocol":"$server_protocol"}}'
    hostPort:
      enabled: true
    terminationGracePeriodSeconds: 0
    service:
      type: "NodePort"

    # carefull watch this
    ingressClassByName: true
    watchIngressWithoutClass: false
    ingressClassResource:
      name: external-nginx
      enabled: true
      default: false
      controllerValue: "k8s.io/external-ingress-nginx"
    nodeSelector:
      ingress-ready: "true"
    tolerations:
    - effect: "NoSchedule"
      key: "node-role.kubernetes.io/master"
      operator: "Equal"
    - effect: "NoSchedule"
      key: "node-role.kubernetes.io/control-plane"
      operator: "Equal"
    publishService:
      enabled: false
    extraArgs:
      publish-status-address: "localhost"
    
    replicaCount: 1
    minAvailable: 1
    resources:
      requests:
        cpu: 100m
        memory: 90Mi
    autoscaling:
      enabled: false
      annotations: {}
      minReplicas: 1
      maxReplicas: 11
      targetCPUUtilizationPercentage: 50
      targetMemoryUtilizationPercentage: 50
      behavior: {}
  
  shareProcessNamespace: true

  tcp:
    1883: "emqx/emqx-headless:1883"
#  8080: "default/example-tcp-svc:9000"

  udp: {}
#  53: "kube-system/kube-dns:53"